function [b1,b2]=downsample(in)

% downsample preparation
in_s = size(in); %[in_h,in_w]
in_h = in_s(1);
in_w = in_s(2);
mu   = [1,-1 ; 1,1];
out_h = in_h/2 ;
out_w = in_w ;
out_s = [out_h,out_w];
b1 = zeros(out_s);
b2 = zeros(out_s);

% downsample
for raw = 1:out_h
  for col = 1:out_w
    tmp=( mod( ((mu*[col-1;0-raw+1])'),[in_h,in_w] ) + [1,1] );
    b1(raw,col)= in(tmp(1),tmp(2));
    b2(raw,col)= in( tmp(1) , mod(tmp(2),in_w)+1 );
  end
end

return

