
function out=fph_raw(raw,f)
% function fph_raw (filter_periodic_horizontal_raw)
% Return: the output of raw filtered with filter f. raw is considered periodic.
% Param:
%    f : filter coef
%    raw: raw to filter
% 
    offset = 4; % any number OK. Just change by which value we begin.
    nb_raw = size(raw)(1);
    if (nb_raw != 1) disp('Error (fph_raw): more than one raw'); end
    nb_col = size(raw)(2);
    
    f_size = size(f)(2);
    out = zeros(1,nb_col);
    for cell = 1 : nb_col % for each cell, we compute out(cell)
        for f_ind = 1 : f_size % for each filter coeff
           out(cell) += raw( mod(cell-offset+f_ind,nb_col) +1 ) * f(f_ind) ;
        end
        %if out(cell)<0, out(cell)=0; end
    end
return

