
function out=in_grey_range(m)
% function in_grey_range
% Return: a matrix close to m but with only integer values in the range [0,255]
% Param:
%    m: the input matrix
% 

for raw = 1 : size(m)(1) % for each raw
  for col = 1 : size(m)(2) % for each column
    t1 = round( max(0,m(raw,col)) );
    out(raw,col) =  min(255,t1);
  end
end

return

% mrand = rand(3,5)*500 - 128


