
function out=reorganize_v2h(in)
% function reorganize_h2v:
% Return: matrix in reorganized
% 
    % check that 2*width(in) == height(in)
    n = size(in)(2);
    if (size(in)(1) != 2*n) disp('ERROR: reorganize_v2h: h!=2v'); end
    
    out(1:n , 1:n) = in(1:n , 1:n) ;
    out(1:n , n+1:2*n) = in(n+1:2*n, 1:n);
        
return

