

function im=PIshift(im)
% function PIshift
% Return: im, with odd column multiplied by -1.
% Param:
%    im: image (matrix) to operate on
% 
    h = size(im)(1);
    w = size(im)(2);
    for j = 1 : w % for each column
      if ( mod(j,2)==0 )
        for i = 1 : h % for each raw
          im(i,j) = -im(i,j);
        end
      end
    end
return

