
% im=[1:4; 5:8; 9:12];
% filter = [1,2,2,1];

function out=fph_by_raw(im,f)
% ATTENTION: process raw after raw. This is not the expected behaviour
% function fph_by_raw
% Return: the output of im filtered with filter f
% Param:
%    f : filter coef
%    im: image (matrix) to filter
% 
    nb_raw = size(im)(1);
    nb_col = size(im)(2);
    f_size = size(f)(2);
    out = zeros(size(im));
    for raw_ind = 1 : nb_raw % for each raw, we apply the filter
        raw = im(raw_ind,:);
        for col_ind = 1 : nb_col % for each cell, we compute out(raw_ind,col_ind)
            for f_ind = 1 : f_size
                out(raw_ind,col_ind) += \
                   im( raw_ind, mod(col_ind + f_ind,nb_col)+1 ) * f(f_ind) ; % +f_size/2
            end
        end
    end
return

