% inverse the order of the lines of matrix m
% useful for example to see the real image position of pixels, from the internal
% format used by Octave and C (raws downwards). 

function out=symetric(m)
   h=size(m)(1);
   out=[];
   out=zeros(size(m));
   for raw = 1:h
      out(raw,:)= m(1+h-raw,:);
   end
return

% It seems that the flipud command does the same: out = flipud(m)

