function out=upsample( b1, b2)


    % param check
    n = size(b1)(1);
    if ( 2*n != size(b1)(2) ) disp('Error (upsample): The input matrices should have 2h=w'); end
    if ( mod(n         ,2) != 0 ) disp('Error (upsample): The input matrices must have even dimensions'); end
    if ( size(b1) != size(b2) ) disp('Error (upsample): The input matrices must have the same dimensions'); end
    
    mu    = [1,-1 ; 1,1];
    muinv = inv(mu);
    out = zeros(2*n,2*n);
    
    for raw = 1 : 2*n
      for col = 1 : 2*n
        tmp= mod( (muinv*[col-1;raw-1])' ,[2*n,2*n] );
        if ( mod(tmp,[1,1]) == [0,0] )
           if ( tmp(2) >= n ) tmp(2) -= n ; tmp(1) = mod(tmp(1)+n,2*n);
           end
           tmp += [1,1];
           out(raw,col ) = b1( tmp(2),tmp(1) );
           col2 = mod(col,2*n)+1;
           out(raw,col2) = b2( tmp(2),tmp(1) );
        end
      end
    end

return

